import type { DurableStore, DurableStoreEntries, OnDurableStoreChangedListener, DurableStoreOperation, DurableStoreChange, DurableStoreMetadataEntries } from '@luvio/environments';
import { DurableStorePersistence } from './runMeasurement';
export declare class MockDurableStore implements DurableStore {
    private durablePersistance;
    listeners: Set<OnDurableStoreChangedListener>;
    constructor(durablePersistance: DurableStorePersistence);
    getMetadata(_entryIds: string[], _segment: string): Promise<DurableStoreMetadataEntries | undefined>;
    setMetadata(_entries: DurableStoreMetadataEntries, _segment: string): Promise<void>;
    getEntries<T>(entryIds: string[], _segment: string): Promise<DurableStoreEntries<T> | undefined>;
    getAllEntries<T>(segment: string): Promise<DurableStoreEntries<T>>;
    setEntries<T>(entries: DurableStoreEntries<T>, segment: string): Promise<void>;
    evictEntries(ids: string[], segment: string): Promise<void>;
    registerOnChangedListener(listener: OnDurableStoreChangedListener): () => Promise<void>;
    batchOperations<T>(operations: DurableStoreOperation<T>[]): Promise<void>;
    performOperation<T>(operation: DurableStoreOperation<T>): Promise<DurableStoreChange>;
    private insertEntries;
    private deleteEntries;
}
