import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiRecords_ResourceRequestConfig } from '../resources/postUiApiRecords';
import { RecordRepresentation as types_RecordRepresentation_RecordRepresentation } from '../types/RecordRepresentation';
export declare const adapterName = "createRecord";
export declare const createRecord_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const createRecord_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CreateRecordConfig {
    handleOwnerChange?: boolean;
    includeFieldsInBody?: boolean;
    triggerOtherEmail?: boolean;
    triggerUserEmail?: boolean;
    useDefaultRule?: boolean;
    allowSaveOnDuplicate?: boolean;
    apiName?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
export declare const createResourceParams: (config: CreateRecordConfig) => resources_postUiApiRecords_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CreateRecordConfig>): adapter$45$utils_Untrusted<CreateRecordConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CreateRecordConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CreateRecordConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordRepresentation_RecordRepresentation, any>>;
export declare const createRecordAdapterFactory: $64$luvio_engine_AdapterFactory<CreateRecordConfig, types_RecordRepresentation_RecordRepresentation>;
