import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, UnfulfilledSnapshot as $64$luvio_engine_UnfulfilledSnapshot, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_ResourceRequestConfig, createResourceRequest as resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_createResourceRequest } from '../resources/postUiApiListRecordsByListViewApiNameAndObjectApiName';
import { ListRecordCollectionRepresentation as types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation } from '../types/ListRecordCollectionRepresentation';
export declare const adapterName = "getListRecordsByName";
export declare const getListRecordsByName_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListRecordsByName_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListRecordsByNameConfig {
    listViewApiName: string;
    objectApiName: string;
    fields?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    pageToken?: string;
    searchTerm?: string;
    sortBy?: Array<string>;
    where?: string;
}
export declare const createResourceParams: (config: GetListRecordsByNameConfig) => resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListRecordsByNameConfig>): adapter$45$utils_Untrusted<GetListRecordsByNameConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListRecordsByNameConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig): $64$luvio_engine_Snapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig, resourceParams: resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig, resourceParams: resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function prepareRequest(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig, resourceParams: resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_ResourceRequestConfig, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>): ReturnType<typeof resources_postUiApiListRecordsByListViewApiNameAndObjectApiName_createResourceRequest>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListRecordsByNameConfig, options?: $64$luvio_engine_DispatchResourceRequestContext, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>): Promise<$64$luvio_engine_Snapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListRecordsByNameConfig;
    cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>): $64$luvio_engine_Snapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>;
export declare const getListRecordsByNameAdapterFactory: $64$luvio_engine_AdapterFactory<GetListRecordsByNameConfig, types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>;
