import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsLookupByObjectApiNames_ResourceRequestConfig } from '../resources/getUiApiActionsLookupByObjectApiNames';
import { ActionRepresentation as types_ActionRepresentation_ActionRepresentation } from '../types/ActionRepresentation';
export declare const adapterName = "getLookupActions";
export declare const getLookupActions_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getLookupActions_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetLookupActionsConfig {
    objectApiNames: Array<string>;
    actionTypes?: Array<string>;
    formFactor?: string;
    sections?: Array<string>;
}
export declare const createResourceParams: (config: GetLookupActionsConfig) => resources_getUiApiActionsLookupByObjectApiNames_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetLookupActionsConfig>): adapter$45$utils_Untrusted<GetLookupActionsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetLookupActionsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig): $64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig, resourceParams: resources_getUiApiActionsLookupByObjectApiNames_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ActionRepresentation_ActionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ActionRepresentation_ActionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ActionRepresentation_ActionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig, resourceParams: resources_getUiApiActionsLookupByObjectApiNames_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetLookupActionsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetLookupActionsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ActionRepresentation_ActionRepresentation>): $64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>;
export declare const getLookupActionsAdapterFactory: $64$luvio_engine_AdapterFactory<GetLookupActionsConfig, types_ActionRepresentation_ActionRepresentation>;
