import { CreateStoreMetadataParams as $64$luvio_engine_CreateStoreMetadataParams } from '@luvio/engine';
import { NullableToken, TokenMissing } from './cursor';
export { PaginationParams } from './cursor';
export declare const PAGINATION_VERSION = "0.111.0";
export declare const paginationStoreMetadata: $64$luvio_engine_CreateStoreMetadataParams;
export type PaginationMetadata = {
    clientTokens: Record<string, number>;
    serverTokens: string[];
    __END__?: number;
};
export interface PageMetadata {
    startOffset?: number;
    endOffset?: number;
    nextServerToken?: NullableToken;
    metadataProperties: Record<string, unknown>;
}
export declare function clientTokenFromOffset(paginationMetadata: PaginationMetadata, offset: number): string | TokenMissing;
export declare function offsetFromClientToken(paginationMetadata: PaginationMetadata, token: string | undefined): number;
export declare function offsetFromServerToken(paginationMetadata: PaginationMetadata, token: string): number;
export declare function getNextPageTokens(paginationMetadata: PaginationMetadata, pageEndOffset: number): {
    clientToken: NullableToken | TokenMissing;
    serverToken: NullableToken | TokenMissing;
};
export declare function getPreviousClientToken(paginationMetadata: PaginationMetadata, startOffset: number, pageSize: number): NullableToken | TokenMissing;
export declare function pageEndOffset(paginationMetadata: PaginationMetadata, startOffset: number, pageSize: number): number;
export declare function getPageTokenAndOffset(paginationMetadata: PaginationMetadata, token: string | undefined): [string, number] | undefined;
export declare function serverTokenForAtMost(paginationMetadata: PaginationMetadata, maxOffset: number): [string | undefined, number];
export declare function generateClientToken(offset: number): string;
export declare function addTokens(paginationMetadata: PaginationMetadata, offset: number, clientToken: string, serverToken?: string): void;
export declare function mergeMetadata(existingMetadata: PaginationMetadata | undefined, incomingMetadata: PaginationMetadata): PaginationMetadata;
export declare function equalsMetadata(existingMetadata: PaginationMetadata, incomingMetadata: PaginationMetadata): boolean;
