import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5e13070b6653469f16a5bbe0c4e52aba";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ActionInputRepresentation, existing: ActionInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ActionInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ActionInputRepresentationNormalized, incoming: ActionInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ActionInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Query (using POST) for action's query param input representation.
 *
 * Keys:
 *    (none)
 */
export interface ActionInputRepresentationNormalized {
    /** The list of action types */
    actionTypes?: Array<string>;
    /** The API names of the actions */
    apiNames?: Array<string>;
    /** Required form factor. */
    formFactor?: string;
    /** RetrievalMode used to fetch actions. */
    retrievalMode?: string;
    /** Section in PlatformAction. */
    sections?: Array<string>;
}
/**
 * Query (using POST) for action's query param input representation.
 *
 * Keys:
 *    (none)
 */
export interface ActionInputRepresentation {
    actionTypes?: Array<string>;
    apiNames?: Array<string>;
    formFactor?: string;
    retrievalMode?: string;
    sections?: Array<string>;
}
