import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { RecordRepresentation as RecordRepresentation_RecordRepresentation } from './RecordRepresentation';
export declare const VERSION = "5f97eb4f2c3f805ef9d98ba7f0530b3e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    contentDocumentId: string;
}
export type ContentDocumentCompositeRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialContentDocumentCompositeRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ContentDocumentCompositeRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ContentDocumentCompositeRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ContentDocumentCompositeRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ContentDocumentCompositeRepresentation, existing: ContentDocumentCompositeRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ContentDocumentCompositeRepresentationNormalized;
export interface DynamicIngestParams {
    contentDocument: $64$luvio_engine_ResourceIngest;
    contentDocumentLinks: $64$luvio_engine_ResourceIngest;
    contentVersion: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: ContentDocumentCompositeRepresentation, existing: ContentDocumentCompositeRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => ContentDocumentCompositeRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    contentDocument?: $64$luvio_engine_LinkSelection;
    contentDocumentLinks?: $64$luvio_engine_LinkSelection;
    contentVersion?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ContentDocumentCompositeRepresentationNormalized, incoming: ContentDocumentCompositeRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ContentDocumentCompositeRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Representation of a ContentDocument object with embedded ContentVersion and ContentDocumentLink objects.
 *
 * Keys:
 *    contentDocumentId (string): contentDocument.id
 */
export interface ContentDocumentCompositeRepresentationNormalized {
    contentDocument: $64$luvio_engine_StoreLink;
    /** ContentDocumentLinks */
    contentDocumentLinks: Array<$64$luvio_engine_StoreLink>;
    contentVersion: $64$luvio_engine_StoreLink;
}
/**
 * Representation of a ContentDocument object with embedded ContentVersion and ContentDocumentLink objects.
 *
 * Keys:
 *    contentDocumentId (string): contentDocument.id
 */
export interface ContentDocumentCompositeRepresentation {
    contentDocument: RecordRepresentation_RecordRepresentation;
    contentDocumentLinks: Array<RecordRepresentation_RecordRepresentation>;
    contentVersion: RecordRepresentation_RecordRepresentation;
}
