import { DuplicateRuleFilterItemRepresentation as DuplicateRuleFilterItemRepresentation_DuplicateRuleFilterItemRepresentation } from './DuplicateRuleFilterItemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "320d7f254687278f2763d4b490dab3fb";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DuplicateRuleFilterRepresentation, existing: DuplicateRuleFilterRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DuplicateRuleFilterRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DuplicateRuleFilterRepresentationNormalized, incoming: DuplicateRuleFilterRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DuplicateRuleFilterRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Duplicate Rule filter
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleFilterRepresentationNormalized {
    /** The custom filter logic expressed as a boolean expression. */
    booleanFilter: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** List of filter items. */
    filterItems: Array<DuplicateRuleFilterItemRepresentation_DuplicateRuleFilterItemRepresentation>;
    /** Rule Criteria. */
    ruleCritera: string;
}
/**
 * Duplicate Rule filter
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleFilterRepresentation {
    booleanFilter: string;
    eTag: string;
    filterItems: Array<DuplicateRuleFilterItemRepresentation_DuplicateRuleFilterItemRepresentation>;
    ruleCritera: string;
}
