import { DuplicateRuleFilterRepresentation as DuplicateRuleFilterRepresentation_DuplicateRuleFilterRepresentation } from './DuplicateRuleFilterRepresentation';
import { MatchRuleRepresentation as MatchRuleRepresentation_MatchRuleRepresentation } from './MatchRuleRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "bb83d7210bb1d7861b6188bc5f552617";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DuplicateRuleRepresentation, existing: DuplicateRuleRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DuplicateRuleRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DuplicateRuleRepresentationNormalized, incoming: DuplicateRuleRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DuplicateRuleRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Duplicate Rule for dedupe configuration
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleRepresentationNormalized {
    /** Action on insert, Block or Allow for dedupe rule */
    actionOnInsert: string;
    /** Action on update, Block or Allow for dedupe rule. */
    actionOnUpdate: string;
    /** Determine whether dedupe rule is active. */
    active: boolean;
    /** Duplicate filters. */
    duplicateRuleFilters: Array<DuplicateRuleFilterRepresentation_DuplicateRuleFilterRepresentation>;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** MatchRules for the current DuplicateRule. */
    matchRules: Array<MatchRuleRepresentation_MatchRuleRepresentation>;
    /** Name of Duplicate rule. */
    name: string;
    /** Operations on insert, either or both of alert and report for dedupe rule. */
    operationsOnInsert: Array<string>;
    /** Operations on update, either or both of alert and report for dedupe rule. */
    operationsOnUpdate: Array<string>;
}
/**
 * Duplicate Rule for dedupe configuration
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRuleRepresentation {
    actionOnInsert: string;
    actionOnUpdate: string;
    active: boolean;
    duplicateRuleFilters: Array<DuplicateRuleFilterRepresentation_DuplicateRuleFilterRepresentation>;
    eTag: string;
    matchRules: Array<MatchRuleRepresentation_MatchRuleRepresentation>;
    name: string;
    operationsOnInsert: Array<string>;
    operationsOnUpdate: Array<string>;
}
