import { ListFilterByInfoInputRepresentation as ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation } from './ListFilterByInfoInputRepresentation';
import { ListScopeInputRepresentation as ListScopeInputRepresentation_ListScopeInputRepresentation } from './ListScopeInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fe13208fcce6e11bd2fea397be9d9bb0";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListInfoInputRepresentation, existing: ListInfoInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInfoInputRepresentationNormalized, incoming: ListInfoInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a List Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListInfoInputRepresentationNormalized {
    /** Input representation for display columns (field API names). */
    displayColumns?: Array<string>;
    /** Input representation for filterLogicString. */
    filterLogicString?: string;
    /** Input representation for filter metadata. */
    filteredByInfo?: Array<ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation>;
    /** Input representation for label. */
    label?: string;
    /** Input representation for shared entities (when Visibility is Shared). */
    listShares?: Array<string>;
    scope?: ListScopeInputRepresentation_ListScopeInputRepresentation;
    /** Input representation for visibility. */
    visibility?: string;
}
/**
 * Representation of a List Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListInfoInputRepresentation {
    displayColumns?: Array<string>;
    filterLogicString?: string;
    filteredByInfo?: Array<ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation>;
    label?: string;
    listShares?: Array<string>;
    scope?: ListScopeInputRepresentation_ListScopeInputRepresentation;
    visibility?: string;
}
