import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, ReaderFragment as $64$luvio_engine_ReaderFragment, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { ListInfoSummaryRepresentation as ListInfoSummaryRepresentation_ListInfoSummaryRepresentation } from './ListInfoSummaryRepresentation';
import { PaginationParams as pagination_cursor_PaginationParams, PaginationMetadata as pagination_cursor_PaginationMetadata, PageMetadata as pagination_cursor_PageMetadata } from '../pagination/cursor';
export declare const VERSION = "d0cadb0927f908b5b64694e1cff0b2d7";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    objectApiName: string;
    queryString: string | null;
    recentListsOnly: boolean;
}
export type ListInfoSummaryCollectionRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialListInfoSummaryCollectionRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ListInfoSummaryCollectionRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ListInfoSummaryCollectionRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ListInfoSummaryCollectionRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function paginationKeyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function paginationKeyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ListInfoSummaryCollectionRepresentation, existing: ListInfoSummaryCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoSummaryCollectionRepresentationNormalized;
export interface DynamicIngestParams {
    lists: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: ListInfoSummaryCollectionRepresentation, existing: ListInfoSummaryCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => ListInfoSummaryCollectionRepresentationNormalized;
export declare const select: (paginationParams?: pagination_cursor_PaginationParams) => $64$luvio_engine_ReaderFragment;
export declare function getPageMetadata(paginationMetadata: pagination_cursor_PaginationMetadata | undefined, paginationParams: pagination_cursor_PaginationParams): pagination_cursor_PageMetadata;
export interface DynamicSelectParams {
    lists?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams, paginationParams?: pagination_cursor_PaginationParams) => $64$luvio_engine_ReaderFragment;
export declare function equals(existing: ListInfoSummaryCollectionRepresentationNormalized, incoming: ListInfoSummaryCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoSummaryCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * ListInfoSummaryCollectionRepresentation
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    queryString (string | null): queryString
 *    recentListsOnly (boolean): recentListsOnly
 */
export interface ListInfoSummaryCollectionRepresentationNormalized {
    /** The total count of list views returned. */
    count: number;
    /** The pageToken of the current page of list views. */
    currentPageToken: string;
    /** The URL of the current page of list views. */
    currentPageUrl: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** Collection  of ListViewSummaryRepresentations */
    lists: Array<$64$luvio_engine_StoreLink>;
    /** The pageToken of the next page of list views. */
    nextPageToken: string | null;
    /** The URL of the next page of list views */
    nextPageUrl: string | null;
    /** The objectApiName given in the URL. */
    objectApiName: string;
    /** The pageSize given in the query parameter.  If no pageSize is provided, this contains the default value used. */
    pageSize: number;
    /** The pageToken of the previous page of list views. */
    previousPageToken: string | null;
    /** The URL of the previous page of list views. */
    previousPageUrl: string | null;
    /** The queryString given in the query parameter.  If no queryString is provided, this returns null. */
    queryString: string | null;
    /** The recentListsOnly value from the query parameter.  If recentListsOnly is not provided, this returns the default value used (false). */
    recentListsOnly: boolean;
}
/**
 * ListInfoSummaryCollectionRepresentation
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    queryString (string | null): queryString
 *    recentListsOnly (boolean): recentListsOnly
 */
export interface ListInfoSummaryCollectionRepresentation {
    count: number;
    currentPageToken: string;
    currentPageUrl: string;
    eTag: string;
    lists: Array<ListInfoSummaryRepresentation_ListInfoSummaryRepresentation>;
    nextPageToken: string | null;
    nextPageUrl: string | null;
    objectApiName: string;
    pageSize: number;
    previousPageToken: string | null;
    previousPageUrl: string | null;
    queryString: string | null;
    recentListsOnly: boolean;
}
export declare const notifyUpdateAvailableFactory: (luvio: $64$luvio_engine_Luvio) => (configs: Partial<KeyParams>[]) => Promise<void>;
