import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { ListInfoRepresentation as ListInfoRepresentation_ListInfoRepresentation } from './ListInfoRepresentation';
import { ListRecordCollectionRepresentation as ListRecordCollectionRepresentation_ListRecordCollectionRepresentation } from './ListRecordCollectionRepresentation';
import { PaginationParams as pagination_cursor_PaginationParams } from '../pagination/cursor';
export declare const VERSION = "cf8d2eb042188974da26ffe6618cfd07";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    listViewApiName: string | null;
    objectApiName: string;
    type: string;
    sortBy: Array<string> | null;
}
export type ListUiRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialListUiRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ListUiRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ListUiRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ListUiRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ListUiRepresentation, existing: ListUiRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListUiRepresentationNormalized;
export interface DynamicIngestParams {
    info: $64$luvio_engine_ResourceIngest;
    records: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: ListUiRepresentation, existing: ListUiRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => ListUiRepresentationNormalized;
export declare const select: (paginationParams?: pagination_cursor_PaginationParams) => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    info?: $64$luvio_engine_LinkSelection;
    records?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams, paginationParams?: pagination_cursor_PaginationParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListUiRepresentationNormalized, incoming: ListUiRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListUiRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * ListUiRepresentation
 *
 * Keys:
 *    listViewApiName (string | null): info.listReference.listViewApiName
 *    objectApiName (string): info.listReference.objectApiName
 *    type (string): info.listReference.type
 *    sortBy (Array<string> | null): records.sortBy
 */
export interface ListUiRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** List info. */
    info: $64$luvio_engine_StoreLink;
    /** List data. */
    records: $64$luvio_engine_StoreLink;
}
/**
 * ListUiRepresentation
 *
 * Keys:
 *    listViewApiName (string | null): info.listReference.listViewApiName
 *    objectApiName (string): info.listReference.objectApiName
 *    type (string): info.listReference.type
 *    sortBy (Array<string> | null): records.sortBy
 */
export interface ListUiRepresentation {
    eTag: string;
    info: ListInfoRepresentation_ListInfoRepresentation;
    records: ListRecordCollectionRepresentation_ListRecordCollectionRepresentation;
}
