import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "3529c5f7d0eb2206c90a52c6d9f721d4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    id: string | null;
}
export type ListViewSummaryRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialListViewSummaryRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ListViewSummaryRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ListViewSummaryRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ListViewSummaryRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ListViewSummaryRepresentation, existing: ListViewSummaryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListViewSummaryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListViewSummaryRepresentationNormalized, incoming: ListViewSummaryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListViewSummaryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * List View Summary Representation
 *
 * Keys:
 *    id (string | null): id
 */
export interface ListViewSummaryRepresentationNormalized {
    /** The list view's object API name. */
    apiName: string;
    /** Id of the list view. */
    id: string | null;
    /** List view's label. */
    label: string;
    /** List view ui url. */
    listUiUrl: string;
}
/**
 * List View Summary Representation
 *
 * Keys:
 *    id (string | null): id
 */
export interface ListViewSummaryRepresentation {
    apiName: string;
    id: string | null;
    label: string;
    listUiUrl: string;
}
