import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { PageReferenceRepresentation as PageReferenceRepresentation_PageReferenceRepresentation } from './PageReferenceRepresentation';
export declare const TTL = 120000;
export declare const VERSION = "09884ca5bf90ea4662092a4e48817081";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    developerName: string;
}
export type NavItemRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialNavItemRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): NavItemRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: NavItemRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: NavItemRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: NavItemRepresentation, existing: NavItemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): NavItemRepresentationNormalized;
export interface DynamicIngestParams {
    pageReference: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: NavItemRepresentation, existing: NavItemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => NavItemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    pageReference?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: NavItemRepresentationNormalized, incoming: NavItemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: NavItemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Metadata for a navitem (tab)
 *
 * Keys:
 *    developerName (string): developerName
 */
export interface NavItemRepresentationNormalized {
    /** Is this tab available for salesforce classic */
    availableInClassic: boolean;
    /** Is this tab available for lightning */
    availableInLightning: boolean;
    /** Tab color of the tab */
    color: string;
    /** Launch url for this tab */
    content: string | null;
    /** Boolean specifying if this tab is a custom tab */
    custom: boolean;
    /** Developer name of the tab */
    developerName: string;
    /** URL for the tab icon */
    iconUrl: string;
    /** ID of the nav item */
    id: string | null;
    /** Nav menu item type */
    itemType: string;
    /** Label of the tab */
    label: string;
    /** Api name of the object corresponding to this tab */
    objectApiName: string;
    /** The label of the associated object, if applicable. */
    objectLabel: string | null;
    /** The plural label of the associated object, if applicable. */
    objectLabelPlural: string | null;
    /** Corresponding page reference for the nav item */
    pageReference: $64$luvio_engine_StoreLink | null;
    /** Standard type */
    standardType: string | null;
}
/**
 * Metadata for a navitem (tab)
 *
 * Keys:
 *    developerName (string): developerName
 */
export interface NavItemRepresentation {
    availableInClassic: boolean;
    availableInLightning: boolean;
    color: string;
    content: string | null;
    custom: boolean;
    developerName: string;
    iconUrl: string;
    id: string | null;
    itemType: string;
    label: string;
    objectApiName: string;
    objectLabel: string | null;
    objectLabelPlural: string | null;
    pageReference: PageReferenceRepresentation_PageReferenceRepresentation | null;
    standardType: string | null;
}
