import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "4aa37812ee37c752a099b29026217c85";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    objectInfoUrl: string;
}
export type ObjectInfoDirectoryEntryRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialObjectInfoDirectoryEntryRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ObjectInfoDirectoryEntryRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ObjectInfoDirectoryEntryRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ObjectInfoDirectoryEntryRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ObjectInfoDirectoryEntryRepresentation, existing: ObjectInfoDirectoryEntryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ObjectInfoDirectoryEntryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ObjectInfoDirectoryEntryRepresentationNormalized, incoming: ObjectInfoDirectoryEntryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ObjectInfoDirectoryEntryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Entry for an object info within the directory of objects.
 *
 * Keys:
 *    objectInfoUrl (string): objectInfoUrl
 */
export interface ObjectInfoDirectoryEntryRepresentationNormalized {
    /** The API name of the object info corresponding to this entry. */
    apiName: string;
    /** The key prefix for IDs of this object. */
    keyPrefix: string | null;
    /** The label of the object info corresponding to this entry. */
    label: string;
    /** The plural label of the object info corresponding to this entry. */
    labelPlural: string;
    /** List of the API names of the fields used to identify the name field for standard and custom objects. Typically there is one name field per object, except where FirstName and LastName fields are used. */
    nameFields: Array<string>;
    /** The URL to retrieve the full object info corresponding to this entry. */
    objectInfoUrl: string;
}
/**
 * Entry for an object info within the directory of objects.
 *
 * Keys:
 *    objectInfoUrl (string): objectInfoUrl
 */
export interface ObjectInfoDirectoryEntryRepresentation {
    apiName: string;
    keyPrefix: string | null;
    label: string;
    labelPlural: string;
    nameFields: Array<string>;
    objectInfoUrl: string;
}
