import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, PathSelection as $64$luvio_engine_PathSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { ObjectInfoDirectoryEntryRepresentation as ObjectInfoDirectoryEntryRepresentation_ObjectInfoDirectoryEntryRepresentation } from './ObjectInfoDirectoryEntryRepresentation';
export declare const VERSION = "37fd8c0154ee743c9defbf03e9b4b067";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ObjectInfoDirectoryRepresentation, existing: ObjectInfoDirectoryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ObjectInfoDirectoryRepresentationNormalized;
export interface DynamicIngestParams {
    objects: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: ObjectInfoDirectoryRepresentation, existing: ObjectInfoDirectoryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => ObjectInfoDirectoryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    objects?: $64$luvio_engine_PathSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ObjectInfoDirectoryRepresentationNormalized, incoming: ObjectInfoDirectoryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ObjectInfoDirectoryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Directory of objects that can be used within UI API end-points.
 *
 * Keys:
 *    (none)
 */
export interface ObjectInfoDirectoryRepresentationNormalized {
    /** The object info entries corresponding to the objects that can be used within UI API. */
    objects: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
}
/**
 * Directory of objects that can be used within UI API end-points.
 *
 * Keys:
 *    (none)
 */
export interface ObjectInfoDirectoryRepresentation {
    objects: {
        [key: string]: ObjectInfoDirectoryEntryRepresentation_ObjectInfoDirectoryEntryRepresentation;
    };
}
