import { AbstractPicklistValueAttributesRepresentation as AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation } from './AbstractPicklistValueAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "950a3a962acbd2b128f937d4c055a9d6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: OpportunityStagePicklistValueAttributesRepresentation, existing: OpportunityStagePicklistValueAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): OpportunityStagePicklistValueAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: OpportunityStagePicklistValueAttributesRepresentationNormalized, incoming: OpportunityStagePicklistValueAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: OpportunityStagePicklistValueAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Additional picklist value attributes for opportunity stages.
 *
 * Keys:
 *    (none)
 */
export interface OpportunityStagePicklistValueAttributesRepresentationNormalized extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    /** Indicates whether this opportunity stage value represents a closed opportunity. Multiple opportunity stage values can represent a closed opportunity. For more info, see the doc for the OpportunityStage standard object. */
    closed: boolean;
    /** The default percentage estimate of the confidence in closing a specific opportunity for this opportunity stage value. May be null if forecasting is not enabled for the org. For more info, see the doc for the OpportunityStage standard object. */
    defaultProbability: number;
    /** The default forecast category value for this opportunity stage value. May be null if forecasting is not enabled for the org. For more info, see the doc for the OpportunityStage standard object. */
    forecastCategoryName: string;
    /** Indicates whether this opportunity stage value represents a won opportunity. Multiple opportunity stage values can represent a won opportunity. For more info, see the doc for the OpportunityStage standard object. */
    won: boolean;
}
/**
 * Additional picklist value attributes for opportunity stages.
 *
 * Keys:
 *    (none)
 */
export interface OpportunityStagePicklistValueAttributesRepresentation extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    closed: boolean;
    defaultProbability: number;
    forecastCategoryName: string;
    won: boolean;
    picklistAtrributesValueType: 'OpportunityStage';
}
