import { AbstractPicklistValueAttributesRepresentation as AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation } from './AbstractPicklistValueAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { WorkStepPicklistValueAttributeRepresentation as WorkStepPicklistValueAttributeRepresentation_WorkStepPicklistValueAttributeRepresentation } from './WorkStepPicklistValueAttributeRepresentation';
import { LeadStatusPicklistValueAttributesRepresentation as LeadStatusPicklistValueAttributesRepresentation_LeadStatusPicklistValueAttributesRepresentation } from './LeadStatusPicklistValueAttributesRepresentation';
import { CaseStatusPicklistValueAttributesRepresentation as CaseStatusPicklistValueAttributesRepresentation_CaseStatusPicklistValueAttributesRepresentation } from './CaseStatusPicklistValueAttributesRepresentation';
import { OpportunityStagePicklistValueAttributesRepresentation as OpportunityStagePicklistValueAttributesRepresentation_OpportunityStagePicklistValueAttributesRepresentation } from './OpportunityStagePicklistValueAttributesRepresentation';
export declare const VERSION = "9e2a16a80378487f557124c771201cf9";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PicklistValueRepresentation, existing: PicklistValueRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PicklistValueRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PicklistValueRepresentationNormalized, incoming: PicklistValueRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PicklistValueRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A single picklist value.
 *
 * Keys:
 *    (none)
 */
export interface PicklistValueRepresentationNormalized {
    /** For picklist values representing the status of a lead or an opportunity's stage, this value will contain additional attributes to help consumers understand the meaning of the value. Depending on the PicklistValueType this could be populated with information about a LeadStatus or an OpportunityStage. For any other PicklistValueType this property will be null. */
    attributes: AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation | null;
    /** The displayable value of the picklist to use in a UI. */
    label: string;
    /** If this picklist is a dependent picklist, this will be the controlling value indexes for which this value is valid. If this is an independent picklist, this list will be empty. */
    validFor: Array<number>;
    /** The value of the picklist to use in the API. */
    value: string;
}
/**
 * A single picklist value.
 *
 * Keys:
 *    (none)
 */
export interface PicklistValueRepresentation {
    attributes: WorkStepPicklistValueAttributeRepresentation_WorkStepPicklistValueAttributeRepresentation | LeadStatusPicklistValueAttributesRepresentation_LeadStatusPicklistValueAttributesRepresentation | CaseStatusPicklistValueAttributesRepresentation_CaseStatusPicklistValueAttributesRepresentation | OpportunityStagePicklistValueAttributesRepresentation_OpportunityStagePicklistValueAttributesRepresentation | null;
    label: string;
    validFor: Array<number>;
    value: string;
}
