import { PicklistValueRepresentation as PicklistValueRepresentation_PicklistValueRepresentation } from './PicklistValueRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "0a361a49370acb4c6a31721a2057649a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    id: string;
}
export type PicklistValuesRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialPicklistValuesRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): PicklistValuesRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: PicklistValuesRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: PicklistValuesRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: PicklistValuesRepresentation, existing: PicklistValuesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PicklistValuesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PicklistValuesRepresentationNormalized, incoming: PicklistValuesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PicklistValuesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Picklist values for a field and scoped to a record type.
 *
 * Keys:
 *    id (string): url
 */
export interface PicklistValuesRepresentationNormalized {
    /** If a picklist is an independent picklist, this map will be empty. If it is a dependent picklist, then this map will contain the following:
    Controlling field is a picklist:
    Picklist value -> value index
    Controlling field is a boolean:
    If the controlling field is a boolean, then 0 will indicate false and 1 will indicate true. Values in the map will be:
    "false": 0
    "true": 1. */
    controllerValues: {
        [key: string]: number;
    };
    /** The default value for the picklist, or null if there isn't one. */
    defaultValue: PicklistValueRepresentation_PicklistValueRepresentation | null;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** A self-reference URL back to the API that can be used to retrieve this payload. */
    url: string;
    /** A list of the applicable values for this object-record-type-field combination. */
    values: Array<PicklistValueRepresentation_PicklistValueRepresentation>;
}
/**
 * Picklist values for a field and scoped to a record type.
 *
 * Keys:
 *    id (string): url
 */
export interface PicklistValuesRepresentation {
    controllerValues: {
        [key: string]: number;
    };
    defaultValue: PicklistValueRepresentation_PicklistValueRepresentation | null;
    eTag: string;
    url: string;
    values: Array<PicklistValueRepresentation_PicklistValueRepresentation>;
}
