import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "3f49d751896cf66e6e29788d8880e2cc";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    externalId: string;
    relatedSourceObject: string | null;
    relatedListRecordId: string | null;
}
export type PlatformActionRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialPlatformActionRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): PlatformActionRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: PlatformActionRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: PlatformActionRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: PlatformActionRepresentation, existing: PlatformActionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PlatformActionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PlatformActionRepresentationNormalized, incoming: PlatformActionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PlatformActionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record.
 *
 * Keys:
 *    externalId (string): externalId
 *    relatedSourceObject (string | null): relatedSourceObject
 *    relatedListRecordId (string | null): relatedListRecordId
 */
export interface PlatformActionRepresentationNormalized {
    /** PlatformActionContextEnum */
    actionListContext: string;
    /** The URL to invoke or describe the action when the action is invoked. If the action is a standard button overridden by a Visualforce page, the ActionTarget returns the URL of the Visualforce page, such as /apex/pagename. */
    actionTarget: string | null;
    /** The type of the target when this action is triggered. Valid values are:Describe -- applies to actions with a user interface, such as quick actionsInvoke -- applies to actions with no user interface, such as action links or invocable actionsVisualforce -- applies to standard buttons overridden by a Visualforce page */
    actionTargetType: string | null;
    /** The action's object API name. */
    apiName: string;
    /** The external Id contains the action assoicated info. For Quick Action, the format is: OrgId:SourceObject::Context:deviceFormat::QuickActionDefinitionId, i.e.:00Dxx0000001gGh:x01xx0000000007AAA::Record:Phone:09Dxx00000000B6For Standard Action,OrgId:SourceObject::Context:deviceFormat::StandardButton:ApiName */
    externalId: string;
    /** The URL of the action’s icon image. */
    iconUrl: string | null;
    /** The ID of this Platform Action Record. */
    id: string;
    /** Whether the action is massAction. */
    isMassAction: string;
    /** The label of the action. */
    label: string;
    /** LWC Component associated with the action */
    lwcComponent: string | null;
    /** Hex Color Code, such as 7F8DE1 */
    primaryColor: string | null;
    /** Represents the ID of a record in an object’s related list. */
    relatedListRecordId: string | null;
    /** When the ActionListContext is RelatedList or RelatedListRecord, this field represents the API name of the related list to which the action belongs. */
    relatedSourceObject: string | null;
    /** Which section the action appears in a page. The value can be: Page, ActivityComposer, CollaborateComposer, SingleActionLinks */
    section: string | null;
    /** The object the action belongs to, either EntityApiName or recordId depending on the endpoints. */
    sourceObject: string;
    /** The subtype of the action. For quick actions, the subtype is QuickActionType Enum value. For custom buttons, the subtype is WebLinkTypeEnum. For action links, subtypes are Api, ApiAsync, Download, and Ui. Standard buttons and productivity actions have no subtype. */
    subtype: string | null;
    /** Target Object for the action */
    targetObject: string | null;
    /** Target URL for Custom Button Actions */
    targetUrl: string | null;
    /** The type of the action defined in PlatformActionTypeEnum */
    type: string;
}
/**
 * Record.
 *
 * Keys:
 *    externalId (string): externalId
 *    relatedSourceObject (string | null): relatedSourceObject
 *    relatedListRecordId (string | null): relatedListRecordId
 */
export interface PlatformActionRepresentation {
    actionListContext: string;
    actionTarget: string | null;
    actionTargetType: string | null;
    apiName: string;
    externalId: string;
    iconUrl: string | null;
    id: string;
    isMassAction: string;
    label: string;
    lwcComponent: string | null;
    primaryColor: string | null;
    relatedListRecordId: string | null;
    relatedSourceObject: string | null;
    section: string | null;
    sourceObject: string;
    subtype: string | null;
    targetObject: string | null;
    targetUrl: string | null;
    type: string;
}
