import { PrimingRecordRepresentation as PrimingRecordRepresentation_PrimingRecordRepresentation } from './PrimingRecordRepresentation';
import { PrimingRuleErrorRepresentation as PrimingRuleErrorRepresentation_PrimingRuleErrorRepresentation } from './PrimingRuleErrorRepresentation';
import { PrimingRecordsStatsRepresentation as PrimingRecordsStatsRepresentation_PrimingRecordsStatsRepresentation } from './PrimingRecordsStatsRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fe471694509783e67619a6acf4288e3b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PrimingRecordCollectionRepresentation, existing: PrimingRecordCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PrimingRecordCollectionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PrimingRecordCollectionRepresentationNormalized, incoming: PrimingRecordCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PrimingRecordCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Priming Record Collection Representation.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordCollectionRepresentationNormalized {
    /** Collection of PrimingRecordRepresentations. Keyed on objectApiName and then record type ID. */
    primingRecords: {
        [key: string]: {
            [key: string]: Array<PrimingRecordRepresentation_PrimingRecordRepresentation>;
        };
    };
    /** Relaytoken containing hashkey for continuing a 'relay' in subsequent requests. */
    relayToken: string;
    /** Collection of Errors. Key value pair representing errorcode and error message. */
    ruleErrors: Array<PrimingRuleErrorRepresentation_PrimingRuleErrorRepresentation>;
    stats: PrimingRecordsStatsRepresentation_PrimingRecordsStatsRepresentation;
}
/**
 * Priming Record Collection Representation.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordCollectionRepresentation {
    primingRecords: {
        [key: string]: {
            [key: string]: Array<PrimingRecordRepresentation_PrimingRecordRepresentation>;
        };
    };
    relayToken: string;
    ruleErrors: Array<PrimingRuleErrorRepresentation_PrimingRuleErrorRepresentation>;
    stats: PrimingRecordsStatsRepresentation_PrimingRecordsStatsRepresentation;
}
