import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "7a5e66e0b88fe9d2233bb3158931bfa6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: QuickActionColorRepresentation, existing: QuickActionColorRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): QuickActionColorRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: QuickActionColorRepresentationNormalized, incoming: QuickActionColorRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: QuickActionColorRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Quick Action Color Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface QuickActionColorRepresentationNormalized {
    /** quick action color */
    color: string;
    /** quick action color context */
    colorContext: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** quick action color theme */
    theme: string;
}
/**
 * Quick Action Color Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface QuickActionColorRepresentation {
    color: string;
    colorContext: string;
    eTag: string;
    theme: string;
}
