import { AbstractRecordLayoutComponentRepresentation as AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation } from './AbstractRecordLayoutComponentRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordLayoutComponentRepresentation as RecordLayoutComponentRepresentation_RecordLayoutComponentRepresentation } from './RecordLayoutComponentRepresentation';
import { ReportLayoutComponentRepresentation as ReportLayoutComponentRepresentation_ReportLayoutComponentRepresentation } from './ReportLayoutComponentRepresentation';
import { VisualforceLayoutComponentRepresentation as VisualforceLayoutComponentRepresentation_VisualforceLayoutComponentRepresentation } from './VisualforceLayoutComponentRepresentation';
import { CanvasLayoutComponentRepresentation as CanvasLayoutComponentRepresentation_CanvasLayoutComponentRepresentation } from './CanvasLayoutComponentRepresentation';
import { FieldLayoutComponentRepresentation as FieldLayoutComponentRepresentation_FieldLayoutComponentRepresentation } from './FieldLayoutComponentRepresentation';
import { CustomLinkLayoutComponentRepresentation as CustomLinkLayoutComponentRepresentation_CustomLinkLayoutComponentRepresentation } from './CustomLinkLayoutComponentRepresentation';
export declare const VERSION = "617b7a502c6d461ab68cf09954004b51";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutItemRepresentation, existing: RecordLayoutItemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutItemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutItemRepresentationNormalized, incoming: RecordLayoutItemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutItemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout item.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutItemRepresentationNormalized {
    /** Indicates whether the item may be edited on create. */
    editableForNew: boolean;
    /** Indicates whether the item may be edited on update. */
    editableForUpdate: boolean;
    /** Text label for the item. */
    label: string;
    /** Components that make up the item. */
    layoutComponents: Array<AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation>;
    /** TODO */
    lookupIdApiName: string | null;
    /** Indicates whether field is required in Layout */
    required: boolean;
    /** Indicates whether the item is sortable. */
    sortable: boolean;
}
/**
 * Record layout item.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutItemRepresentation {
    editableForNew: boolean;
    editableForUpdate: boolean;
    label: string;
    layoutComponents: Array<RecordLayoutComponentRepresentation_RecordLayoutComponentRepresentation | ReportLayoutComponentRepresentation_ReportLayoutComponentRepresentation | VisualforceLayoutComponentRepresentation_VisualforceLayoutComponentRepresentation | CanvasLayoutComponentRepresentation_CanvasLayoutComponentRepresentation | FieldLayoutComponentRepresentation_FieldLayoutComponentRepresentation | CustomLinkLayoutComponentRepresentation_CustomLinkLayoutComponentRepresentation>;
    lookupIdApiName: string | null;
    required: boolean;
    sortable: boolean;
}
