import { keyBuilder as AbstractRecordAvatarRepresentation_keyBuilder, AbstractRecordAvatarRepresentation as AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation } from './AbstractRecordAvatarRepresentation';
import { Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "cbdcf69a6568d41ccf155b2b95ec70e7";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: Parameters<typeof AbstractRecordAvatarRepresentation_keyBuilder>[1]): string;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: Parameters<typeof AbstractRecordAvatarRepresentation_keyBuilder>[1]): $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ThemeRecordAvatarRepresentation, existing: ThemeRecordAvatarRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ThemeRecordAvatarRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ThemeRecordAvatarRepresentationNormalized, incoming: ThemeRecordAvatarRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ThemeRecordAvatarRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents an avatar associated to a Record
 *
 * Keys:
 *    recordId (string): recordId
 */
export interface ThemeRecordAvatarRepresentationNormalized extends AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation {
    /** Retrieve the background color for the theme as a six-letter hexidecimal value. */
    backgroundColor: string | null;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** The URL of the image for the icon. */
    iconUrl: string | null;
}
/**
 * Represents an avatar associated to a Record
 *
 * Keys:
 *    recordId (string): recordId
 */
export interface ThemeRecordAvatarRepresentation extends AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation {
    backgroundColor: string | null;
    eTag: string;
    iconUrl: string | null;
    type: 'Theme';
}
