import { ThemeImageRepresentation as ThemeImageRepresentation_ThemeImageRepresentation } from './ThemeImageRepresentation';
import { ThemeBannerRepresentation as ThemeBannerRepresentation_ThemeBannerRepresentation } from './ThemeBannerRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c03005109b4958154aafa8bd47a0bfda";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ThemeRepresentation, existing: ThemeRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ThemeRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ThemeRepresentationNormalized, incoming: ThemeRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ThemeRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A representation of a theme.
 *
 * Keys:
 *    (none)
 */
export interface ThemeRepresentationNormalized {
    /** Brand color of the theme. */
    brandColor: string;
    /** Brand image of the theme. */
    brandImage: ThemeImageRepresentation_ThemeImageRepresentation;
    /** Default group banner of the theme. */
    defaultGroupBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    /** Default group image of the theme. */
    defaultGroupImage: ThemeImageRepresentation_ThemeImageRepresentation;
    /** Default page banner of the theme. */
    defaultPageBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    /** Default user banner of the theme. */
    defaultUserBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    /** Default user image of the theme. */
    defaultUserImage: ThemeImageRepresentation_ThemeImageRepresentation;
    /** Current Density settings */
    density: string;
    /** Header color of the theme. */
    headerColor: string;
    /** Link color of the theme. */
    linkColor: string;
    /** Page color of the theme. */
    pageColor: string;
}
/**
 * A representation of a theme.
 *
 * Keys:
 *    (none)
 */
export interface ThemeRepresentation {
    brandColor: string;
    brandImage: ThemeImageRepresentation_ThemeImageRepresentation;
    defaultGroupBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    defaultGroupImage: ThemeImageRepresentation_ThemeImageRepresentation;
    defaultPageBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    defaultUserBanner: ThemeBannerRepresentation_ThemeBannerRepresentation;
    defaultUserImage: ThemeImageRepresentation_ThemeImageRepresentation;
    density: string;
    headerColor: string;
    linkColor: string;
    pageColor: string;
}
