import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "389c5f6a8d690cc77527335ca8da7004";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ValidationRuleRepresentation, existing: ValidationRuleRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ValidationRuleRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ValidationRuleRepresentationNormalized, incoming: ValidationRuleRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ValidationRuleRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Validation rule metadata.
 *
 * Keys:
 *    (none)
 */
export interface ValidationRuleRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** Field in which error message needs to be displayed */
    errorDisplayField: string;
    /** Message to be displayed when this validation rule fails */
    errorMessage: string;
    /** Javascript equivalent of the validation rule formula */
    formulaJavascript: string;
    /** List of api names of reference fields */
    formulaReferences: Array<string>;
    /** Id of the validation rule */
    id: string;
    /** Unique name of the rule */
    name: string;
}
/**
 * Validation rule metadata.
 *
 * Keys:
 *    (none)
 */
export interface ValidationRuleRepresentation {
    eTag: string;
    errorDisplayField: string;
    errorMessage: string;
    formulaJavascript: string;
    formulaReferences: Array<string>;
    id: string;
    name: string;
}
