import type { Luvio, DispatchResourceRequestContext, ResourceRequest, FulfilledSnapshot, StaleSnapshot, PendingSnapshot, FetchResponse, FragmentSelection } from '@luvio/engine';
import type { CreateContentVersionConfig } from './AdapterConfig';
import type { ResourceRequestConfig } from './ResourceRequestConfig';
import type { ContentDocumentCompositeRepresentation } from '../../generated/types/ContentDocumentCompositeRepresentation';
export declare function createResourceParams(config: CreateContentVersionConfig): ResourceRequestConfig;
export declare function createResourceRequest(config: ResourceRequestConfig): ResourceRequest;
export declare const select: (body: ContentDocumentCompositeRepresentation) => FragmentSelection;
export declare function ingestSuccess(luvio: Luvio, resourceParams: ResourceRequestConfig, response: FetchResponse<ContentDocumentCompositeRepresentation>): FulfilledSnapshot<ContentDocumentCompositeRepresentation, {}> | StaleSnapshot<ContentDocumentCompositeRepresentation, {}> | PendingSnapshot<ContentDocumentCompositeRepresentation, any>;
export declare function buildNetworkSnapshot(luvio: Luvio, config: CreateContentVersionConfig, options?: DispatchResourceRequestContext): Promise<FulfilledSnapshot<ContentDocumentCompositeRepresentation, {}> | StaleSnapshot<ContentDocumentCompositeRepresentation, {}> | PendingSnapshot<ContentDocumentCompositeRepresentation, any>>;
