import type { AdapterConfigMetadata, Luvio, DispatchResourceRequestContext, AdapterFactory, Snapshot } from '@luvio/engine';
import type { Untrusted, AdapterValidationConfig } from '../../generated/adapters/adapter-utils';
import type { ResourceRequestConfig, BatchUpdateResponseRepresentation } from './postUiApiRecordsBatch';
import type { BatchOperationInputRepresentation } from '../../generated/types/BatchOperationInputRepresentation';
export declare const adapterName = "executeBatchRecordOperations";
export declare const executeBatchRecordOperations_ConfigPropertyMetadata: AdapterConfigMetadata[];
export declare const executeBatchRecordOperations_ConfigPropertyNames: AdapterValidationConfig;
export interface executeBatchRecordOperationsConfig {
    allOrNone: boolean;
    operations: Array<BatchOperationInputRepresentation>;
    useDefaultRule?: boolean;
}
export declare const batchUpdateRecordsCreateResourceParams: (config: executeBatchRecordOperationsConfig) => ResourceRequestConfig;
export declare function batchUpdateRecordsTypeCheckConfig(untrustedConfig: Untrusted<executeBatchRecordOperationsConfig>): executeBatchRecordOperationsConfig;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: AdapterValidationConfig): executeBatchRecordOperationsConfig | null;
export declare function buildNetworkSnapshot(luvio: Luvio, config: executeBatchRecordOperationsConfig, options?: DispatchResourceRequestContext): Promise<Snapshot<BatchUpdateResponseRepresentation>>;
export declare const factory: AdapterFactory<executeBatchRecordOperationsConfig, BatchUpdateResponseRepresentation>;
