import type { Luvio, FetchResponse, FulfilledSnapshot, StaleSnapshot, PendingSnapshot, ResourceRequest, NormalizedKeyMetadata, DurableStoreKeyMetadataMap } from '@luvio/engine';
import { StoreKeySet } from '@luvio/engine';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { BatchOperationInputRepresentation } from '../../generated/types/BatchOperationInputRepresentation';
export interface BatchUpdateResponseRepresentation {
    hasErrors: boolean;
    results: Array<BatchUpdateResultRepresentation>;
}
export interface BatchResultErrorRepresentation {
    errorCode: string;
    message: string;
}
export type RecordIdRepresentation = {
    id: string;
};
export type BatchUpdateResultRepresentation = BatchUpdateSuccessResultRepresentation | BatchUpdateErrorResultRepresentation;
export interface BatchUpdateSuccessResultRepresentation {
    statusCode: 200 | 201;
    result: RecordRepresentation | RecordIdRepresentation;
}
export interface BatchUpdateErrorResultRepresentation {
    statusCode: 400;
    result: Array<BatchResultErrorRepresentation>;
}
export interface ResourceRequestConfig {
    body: {
        allOrNone: boolean;
        operations: Array<BatchOperationInputRepresentation>;
    };
    queryParams: {
        useDefaultRule?: boolean;
    };
}
export declare function getResponseCacheKeys(cacheKeyMap: DurableStoreKeyMetadataMap, luvio: Luvio, _resourceParams: ResourceRequestConfig, // For consistency of interface with other adapters
response: BatchUpdateResponseRepresentation): void;
export declare function ingestSuccessChildResourceParams(luvio: Luvio, response: BatchUpdateResponseRepresentation): {
    result: BatchUpdateResponseRepresentation;
    seenRecords: StoreKeySet<string | NormalizedKeyMetadata>;
    snapshotState: string;
};
export declare function ingestSuccess(luvio: Luvio, response: FetchResponse<BatchUpdateResponseRepresentation>): FulfilledSnapshot<BatchUpdateResponseRepresentation, any> | StaleSnapshot<BatchUpdateResponseRepresentation, any> | PendingSnapshot<BatchUpdateResponseRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): ResourceRequest;
export default createResourceRequest;
