import type { AdapterContext, AdapterRequestContext, Luvio, Snapshot } from '@luvio/engine';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
import { LayoutMode } from '../../primitives/LayoutMode';
import type { LayoutType } from '../../primitives/LayoutType';
export interface GetRecordLayoutTypeConfig {
    recordId: string;
    layoutTypes: LayoutType[];
    modes?: LayoutMode[];
    optionalFields?: string[];
}
/**
 * W-14696113
 * Merge fields into optionalFields and return the whole list.
 * @param {string[]} fields
 * @param {string[]} [optionalFields]
 */
export declare function convertToImplicitFields(fields: string[], optionalFields?: string[]): string[];
export declare function getRecordLayoutType(luvio: Luvio, config: GetRecordLayoutTypeConfig, adapterContext: AdapterContext, requestContext?: AdapterRequestContext): Snapshot<RecordRepresentation> | Promise<Snapshot<RecordRepresentation>>;
